Skip to navigation

Get fraud probability for an IP, device, or agent

Retrieve probability of fraud for a specific IP, Device, or Agent. The Fraud Blocking API returns a probability (risk score) 0.01 to 1.0 representing the likelihood a given value is related to malicious or compromised devices. This risk scoring is calculated by Pixalate’s proprietary machine-learning algorithm and allows clients to set their own blocking thresholds based on the quality and scale of their supply inventory. The following is a general guideline for setting fraud blocking thresholds:

  • Probability equal to 1.0, for filtering out only the worst offender for blocking (deterministic).
  • Probability is greater than or equal to 0.90 for filtering out users that are fraudulent beyond a reasonable doubt.
  • Probability between 0.75 (inclusive) and 0.90 (exclusive) to filter out users associated with clear and convincing evidence that they are fraudulent.
  • Probability between 0.5 (inclusive) and 0.75 (exclusive) to filter out users that it is more likely than not that they are fraudulent (also known as preponderance of the evidence standard).

Pixalate does not recommend blocking any probabilities less than 0.5. When making adjustments to the probability threshold, Pixalate highly recommends regular checks and balances against impression delivery as lowering the probabilistic threshold can potentially impact the impression count.

Zero or more of the following parameters may be provided. If more than one parameter is specified, the probability returned is determined by assessing risk based on the combination of each parameter’s individual risk probability.

Not specifying an IP, Device, or Agent will return the metadata for fraud, including the user’s current quota. See alternate response schema below.

Authentication

x-api-keystring

Authentication and authorization are achieved by supplying your Pixalate provided API key in the request’s header. An API key may be obtained by signing up for an account on the Pixalate developer website.

Query parameters

prettybooleanOptional
If true, return pretty JSON. Default is false.
ipstringOptional
The internet protocol address.
deviceIdstringOptional

An ID that characterizes a mobile device. Various types are acceptable, including but not limited to the following:

  • ADID (Android): Google advertising ID, 36 characters (e.g., FF67345D-BF11-7823-1111-FFED421776FC)
  • IDFA (iOS): Apple advertising ID, 36 characters (e.g., A217D9FC-C1BE-4BEF-94CD-1EE82147C1AA)
  • IDFV (iOS): Apple’s Identifier for Vendor, 36 characters (e.g., B927E7D7-63A7-4D7D-BF11-34D62A6C6E0B)
  • MD5 (Multiple): The MD5 hash of a hardware device identifier (e.g., MAC address, IMEI, or advertising ID), 32 characters (e.g., d9527b5207097c5770ca448322489426)
  • SHA1 (Multiple): The SHA-1 hash of a hardware device identifier (e.g., MAC address, IMEI, or advertising ID), 40 characters (e.g., 2971074629cc8f33146c5eb08b39f157da5ce356)
  • WAID (Windows): Windows advertising ID, 36 characters (e.g., 97615775-57b5-4300-90b4-ba0c22b60e34)
  • RIDA (Roku OS): Roku’s privacy-friendly device ID, 36 characters (e.g., 331319d2-4cc2-51ac-de21-aa62f1e143c1)
  • MSAI (Xbox): Advertising ID for Microsoft’s Xbox, 36 characters (e.g., bc23c3de-5d32-4d0c-de3a-94ce878a0379)
  • GAID (Android): Google’s Advertising ID, 36 characters (e.g., AE63F1D9-0F3A-4B7A-891D-5E23F12C9B1A)
userAgentstringOptional
The browser or device supplied agent string.

Response

OK
FraudInfoobject
Fraud information
OR
Metadataobject
Fraud metadata information.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
5XX
Server Error